%define upver       0.8.6
%define subver      7

Name:            qt-fsarchiver-terminal
Version:         %{upver}.%{subver}
Release:         %mkrel 1
Summary:         Commands for qt-fsarchiver
Group:           Archiving/Backup
License:         GPLv2+ and GPLv3+
URL:             https://qt-fsarchiver.sourceforge.io/
Source0:         https://sourceforge.net/projects/qt-fsarchiver/files/source/%{name}/%{name}-%{upver}-%{subver}.tar.gz

BuildRequires:   cmake
BuildRequires:   qttools5
BuildRequires:   pkgconfig(Qt5Core)
BuildRequires:   pkgconfig(Qt5Gui)
# -lrt   -le2p  -lz -llz4 -lbz2
BuildRequires:   pkgconfig(ext2fs)
BuildRequires:   pkgconfig(uuid)
BuildRequires:   pkgconfig(blkid)
BuildRequires:   e2fsprogs
BuildRequires:   pkgconfig(libgcrypt)
BuildRequires:   pkgconfig(zlib)
BuildRequires:   pkgconfig(bzip2)
BuildRequires:   pkgconfig(libzstd)
BuildRequires:   pkgconfig(lzo2)
BuildRequires:   pkgconfig(liblzma)
BuildRequires:   pkgconfig(gpg-error)
BuildRequires:   pkgconfig(com_err)

Requires:        fsarchiver

%description
FSArchiver is a system tool that allows you to save the contents of a
file-system to a compressed archive file. The file-system can be restored
on a partition which has a different size and it can be restored on a
different file-system. Unlike tar/dar, FSArchiver also creates the
file-system when it extracts the data to partitions. Everything is
checksummed in the archive in order to protect the data. If the archive
is corrupt, you just loose the current file, not the whole archive.

This is a GUI frontend for fsarchiver, written in Qt5.


%prep
%autosetup -n %{name} -p1

%build
%qmake_qt5

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%{_sbindir}/%{name}
%doc %{_docdir}/%{name}


%changelog
* Sat Apr 09 2022 papoteur <papoteur> 0.8.6.7-1.mga9
+ Revision: 1848349
- imported package qt-fsarchiver-terminal

